petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscViewerBinaryRead

Reads from a binary file, all processors get the same result

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryRead(PetscViewer viewer,void *data,PetscInt num,PetscInt *count,PetscDataType dtype)

Collective on MPI_Comm

### Input Parameters

| viewer | - the binary viewer
| data | - location of the data to be written
| num | - number of items of data to read
| dtype | - type of data to read

### Output Parameters

count -number of items of data actually read, or NULL. Unless an error is generated this is always set to the input parameter num.

Developer Note: Since count is always set to num it is not clear what purpose the output argument count serves.

### See Also

PetscViewerASCIIOpen(), PetscViewerPushFormat(), PetscViewerDestroy(),
VecView(), MatView(), VecLoad(), MatLoad(), PetscViewerBinaryGetDescriptor(), PetscViewerBinaryGetInfoPointer(), PetscFileMode, PetscViewer, PetscBinaryViewerRead()

### Level

beginner

### Location

src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages